from odoo import fields, models


class ResConfigSettings(models.TransientModel):
    _inherit = 'res.config.settings'

    print_label_preview_type = fields.Selection(
        related='company_id.print_label_preview_type',
        readonly=False,
    )
    print_label_preview_product_id = fields.Many2one(
        string='Demo Product',
        related='company_id.print_label_preview_product_id',
        readonly=False,
    )
    print_label_preview_pricelist_id = fields.Many2one(
        string='Demo Pricelist',
        related='company_id.print_label_preview_pricelist_id',
        readonly=False,
    )
    print_label_preview_sale_pricelist_id = fields.Many2one(
        string='Demo Promo Pricelist',
        related='company_id.print_label_preview_sale_pricelist_id',
        readonly=False,
    )
    show_label_template_limit = fields.Integer(
        string='Template Display Limit',
        config_parameter='fusion_labels.show_label_template_limit',
        default=7,
    )
    barcode_multiplier = fields.Integer(
        string='Barcode Size Multiplier',
        config_parameter='fusion_labels_pro.barcode_multiplier',
        default=1,
    )
